## flake8-mutable 1.2.0

=== requirements.txt ===
flake8==2.5.4
mccabe==0.4.0
pep8==1.7.0
pyflakes==1.0.0

=== debian/changelog ===
flake8-mutable (1.2.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 16 Aug 2022 20:56:34 +0100

flake8-mutable (1.2.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1016891)

 -- Edward Betts <edward@4angle.com>  Thu, 11 Aug 2022 17:49:33 +0100

=== debian/control ===
Source: flake8-mutable
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-pytest <!nocheck>,
               python3-pytest-runner <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/ebeweber/flake8-mutable
Vcs-Browser: https://salsa.debian.org/python-team/packages/flake8-mutable
Vcs-Git: https://salsa.debian.org/python-team/packages/flake8-mutable.git

Package: python3-flake8-mutable
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: use flake8 to catch functions with mutable default arguments
 Python's default arguments are evaluated at definition as opposed to when the
 function is invoked. This leads to unexpected behavior, as mutations persist
 between calls. This flake8 extension will warn for this type of mistake.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flake8-mutable
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf flake8_mutable.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-pytest-runner, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/flake8-mutable-$1\.tar\.gz/ \
  https://github.com/ebeweber/flake8-mutable/tags .*/v?(\d\S+)\.tar\.gz
